﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using RhythmComet.Physics;
using RhythmComet.Utils;

namespace RhythmComet.Particles
{
    public struct ParticleSystemSettings
    {
        //private IForce3D force;
        //private VertexDeclaration vertexDeclaration;

        //private ParticleCollection particles;
        //private int howManyEffects;
        //private int firstInactiveParticle;

        public string effectFilename;
        //private Matrix viewMatrix;
        //private Matrix projectionMatrix;
        //private Matrix worldMatrix;

        //private Texture2D texture;
        public string textureFilename;

        public int minNumParticles;
        public int maxNumParticles;
        public float minInitialSpeed;
        public float maxInitialSpeed;
        public float minAcceleration;
        public float maxAcceleration;
        public float minRotationSpeed;
        public float maxRotationSpeed;
        public float minLifetime;
        public float maxLifetime;
        public float minScale;
        public float maxScale;
    }
}
